Plank.ItemFactory – plank Reference Manual

# ItemFactory

## Object Hierarchy:

## Description:

public class ItemFactory : Object

An item factory. Creates DockItems based on .dockitem files.

Namespace: Plank
Package: plank

## Content:

### Creation methods:

- public ItemFactory ()

### Methods:

- protected DockElement default_make_element (File file, string launcher)
  Creates a new DockElement for a launcher parsed from a .dockitem.
- public virtual DockItem get_item_for_dock ()
  Creates a new PlankDockItem for the dock itself.
- protected string get_launcher_from_dockitem (File file)
  Parses a .dockitem to get the launcher from it.
- public ArrayList<DockElement> load_elements (File source_dir, string[]? ordering = null)
  Creates a list of Dockitems based on .dockitem files found in the given source_dir.
- public void make_default_items ()
  Creates a bunch of default .dockitem's.
- public File? make_dock_item (string uri, File? target_dir = null)
  Creates a new .dockitem for a uri.
- public virtual DockElement make_element (File file)
  Creates a new DockElement from a .dockitem.

### Fields:

- public File launchers_dir
  The directory containing .dockitem files.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref